@import '~@angular/material/theming';

@mixin main-login-component-theme($theme) {
  $primary: map-get($theme, primary);

  .login {
    position: fixed;
    flex-direction: row;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    background: #fff;
    border-radius: 6px;
    z-index: 0;
    form {
      flex-direction: column;
      display: flex;
      place-content: space-evenly center;
      align-items: center;
      max-width: 100%;
      z-index: 1;
      .mat-form-field {
        width: 80%;
      }
    }
  }

  .tip {
    position: fixed;
    background: mat-color($primary, 500);
    border-radius: 6px;
    color: #fff;
    z-index: 1;
  }
}
